## com.gargoylesoftware.htmlunit
Class CollectingAlertHandler

    java.lang.Object
      com.gargoylesoftware.htmlunit.CollectingAlertHandler

All Implemented Interfaces:
  AlertHandler, java.io.Serializable

    public class CollectingAlertHandler

extends java.lang.Object
implements AlertHandler, java.io.Serializable

A simple alert handler that keeps track of alerts in a list.

Version:
  $Revision: 4391 $
Author:
  Mike Bowler
See Also:
  Serialized Form

Constructor Summary
`CollectingAlertHandler()` Creates a new instance, initializing it with an empty list.
`CollectingAlertHandler(java.util.List<java.lang.String> list)` Creates an instance with the specified list.

Method Summary
`java.util.List<java.lang.String>` `getCollectedAlerts()` Returns a list containing the message portion of any collected alerts.
`void` `handleAlert(Page page, java.lang.String message)` Handles the alert.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectingAlertHandler

    public CollectingAlertHandler()

  Creates a new instance, initializing it with an empty list.

### CollectingAlertHandler

    public CollectingAlertHandler(java.util.List<java.lang.String> list)

  Creates an instance with the specified list.

  Parameters:
    `list` - the list to store alerts in

Method Detail

### handleAlert

    public void handleAlert(Page page,
                            java.lang.String message)

  Handles the alert. This implementation will store the message in a list for retrieval later.

  Specified by:
    `handleAlert` in interface `AlertHandler`
  Parameters:
    `page` - the page that triggered the alert
    `message` - the message in the alert

### getCollectedAlerts

    public java.util.List<java.lang.String> getCollectedAlerts()

  Returns a list containing the message portion of any collected alerts.

  Returns:
    a list of alert messages

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.